OperatingSystem (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class OperatingSystem

    java.lang.Object
      org.hyperic.sigar.SysInfo
          org.hyperic.sigar.OperatingSystem

All Implemented Interfaces:
  java.io.Serializable

    public class OperatingSystem

extends SysInfo

See Also:
  Serialized Form

Field Summary
`static boolean` | `IS_WIN32`
`static java.lang.String` | `NAME_AIX`
`static java.lang.String` | `NAME_FREEBSD`
`static java.lang.String` | `NAME_HPUX`
`static java.lang.String` | `NAME_LINUX`
`static java.lang.String` | `NAME_MACOSX`
`static java.lang.String` | `NAME_NETBSD`
`static java.lang.String` | `NAME_NETWARE`
`static java.lang.String` | `NAME_OPENBSD`
`static java.lang.String` | `NAME_SOLARIS`
`static java.lang.String` | `NAME_WIN32`
`static java.lang.String[]` | `NAMES`
`static java.lang.String[]` | `UNIX_NAMES`
`static java.lang.String[]` | `WIN32_NAMES`

Method Summary
`java.lang.String` | `getCpuEndian()`
`java.lang.String` | `getDataModel()`
`static OperatingSystem` | `getInstance()`
`static boolean` | `isSupported(java.lang.String name)`
`static boolean` | `isWin32(java.lang.String name)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.hyperic.sigar.SysInfo
`gather, getArch, getDescription, getMachine, getName, getPatchLevel, getVendor, getVendorCodeName, getVendorName, getVendorVersion, getVersion, toMap, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME_LINUX

    public static final java.lang.String NAME_LINUX

See Also:
  Constant Field Values

### NAME_SOLARIS

    public static final java.lang.String NAME_SOLARIS

See Also:
  Constant Field Values

### NAME_HPUX

    public static final java.lang.String NAME_HPUX

See Also:
  Constant Field Values

### NAME_AIX

    public static final java.lang.String NAME_AIX

See Also:
  Constant Field Values

### NAME_MACOSX

    public static final java.lang.String NAME_MACOSX

See Also:
  Constant Field Values

### NAME_FREEBSD

    public static final java.lang.String NAME_FREEBSD

See Also:
  Constant Field Values

### NAME_OPENBSD

    public static final java.lang.String NAME_OPENBSD

See Also:
  Constant Field Values

### NAME_NETBSD

    public static final java.lang.String NAME_NETBSD

See Also:
  Constant Field Values

### NAME_WIN32

    public static final java.lang.String NAME_WIN32

See Also:
  Constant Field Values

### NAME_NETWARE

    public static final java.lang.String NAME_NETWARE

See Also:
  Constant Field Values

### UNIX_NAMES

    public static final java.lang.String[] UNIX_NAMES

### WIN32_NAMES

    public static final java.lang.String[] WIN32_NAMES

### NAMES

    public static final java.lang.String[] NAMES

### IS_WIN32

    public static final boolean IS_WIN32

Method Detail

### isSupported

    public static boolean isSupported(java.lang.String name)

### isWin32

    public static boolean isWin32(java.lang.String name)

### getInstance

    public static OperatingSystem getInstance()

### getDataModel

    public java.lang.String getDataModel()

### getCpuEndian

    public java.lang.String getCpuEndian()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.